UTMPDUMP(1)

BEZEICHNUNG
utmpdump - UTMP- und WTMP-Dateien im Rohformat ausgeben

ÜBERSICHT
utmpdump [-froh] Dateiname

BESCHREIBUNG
utmpdump ist ein einfaches Programm zum Ausgeben von UTMP- und WTMP-Dateien im Rohformat, so dass diese untersucht werden können.

OPTIONEN

-f  gibt angehängte Daten aus, wenn die Datei wächst.

-r  kehrt den Vorgang um. Die bearbeiteten Anmeldeinformationen werden in die UTMP- oder WTMP-Dateien zurück geschrieben.

-o  verwendet das alte Libc5-Format.

-h  Informationen zum Aufruf.

utmpdump kann im Falle beschädigter UTMP- oder WTMP-Einträge hilfreich sein. Es kann die Daten in eine ASCII-Datei ausgeben, die Sie bearbeiten können, um die falschen Einträge zu entfernen. Folgender Befehl führt dies aus:

utmpdump -r < ASCII-Datei > wtmp

Seien Sie gewarnt, utmpdump wurde nur für Debugging-Zwecke geschrieben.

FEHLER
Sie dürfen die Option -r nicht verwenden, da das Format der utmp/wtmp-Dateien stark vom Eingabeformat abhängt. Dieses Werkzeug wurde nicht für normale Verwendung geschrieben, sondern lediglich für Debugging-Zwecke.

AUTOR
Michael Krapp

SIEHE AUCH
last(1), w(1), who(1), utmp(5),